%define name gstreamer0.10
%define oname gstreamer
%define version 0.10.14
%define release %mkrel 1
%define vname %{oname}10

%define major 0.10
%define majorminor 0.10
%define libname %mklibname %{name}_ %{major}
%define libnamedev %mklibname -d %{name}
%define 	_glib2		2.2.0
%define 	_libxml2	2.4.0
%define build_docs 0

Name: 		%name
Summary: 	GStreamer Streaming-media framework runtime
Version: 	%version
Release: 	%release
License: 	LGPL
Group: 		Sound
URL:            http://gstreamer.freedesktop.org/
Source0: 	http://gstreamer.freedesktop.org/src/gstreamer/%{oname}-%{version}.tar.bz2
Patch1:		gstreamer-0.10.11-ppc.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	glib2-devel >= %_glib2
BuildRequires: 	libxml2-devel >= %_libxml2
BuildRequires:	popt-devel
BuildRequires:	gettext-devel
BuildRequires:  libcheck-devel
BuildRequires:  valgrind
%ifarch %ix86 
BuildRequires: 	nasm => 0.90
%endif
BuildRequires: 	bison
BuildRequires:  flex
%if %build_docs
BuildRequires: 	gtk-doc >= 0.7
BuildRequires: 	transfig
BuildRequires:  docbook-dtd42-xml
BuildRequires:  ghostscript
BuildRequires:  python-pyxml
%endif

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package tools
Summary: GStreamer Streaming-media framework runtime
Group: 	Sound
Provides: %vname-tools = %version-%release
Provides: gstreamer
Obsoletes: gstreamer

%description tools
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package -n %libname
Summary: Libraries for GStreamer streaming-media framework
Group: System/Libraries
Requires: %name-tools >= %version-%release
Provides: libgstreamer%{majorminor} = %version-%release

%description -n %libname
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%package -n %libnamedev
Summary: Libraries and include files for GStreamer streaming-media framework
Group: Development/C
Requires: %{libname} = %{version}
Requires: libglib2-devel
Requires: libxml2-devel
Provides: libgstreamer-devel = %version-%release
Provides: libgstreamer%{majorminor}-devel = %version-%release
Obsoletes: %mklibname -d %{name}_ 0.10

%description -n %libnamedev
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %oname-%version
%patch1 -p1 -b .ppc

%build
%configure2_5x  --enable-debug --disable-dependency-tracking \
  --with-cachedir=%{_var}/cache/%{oname}-%{majorminor} \
  --with-configdir=%{_sysconfdir}/%{oname} \
  --disable-tests --disable-examples \
%if %build_docs
  --enable-docbook --enable-gtk-doc \
%else	
  --disable-docbook --disable-gtk-doc \
%endif
 --with-html-dir=%_datadir/gtk-doc/html

make

%check
cd tests/check
make check

%install  
rm -rf $RPM_BUILD_ROOT  installed-docs
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_var}/cache/%{oname}-%{majorminor}
#clean the files we don't want to install 
rm -f $RPM_BUILD_ROOT%{_libdir}/%{oname}-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/%{oname}-%{majorminor}/*.a
rm -f %buildroot/%_libdir/*a 
rm -f %buildroot/%{_bindir}/gst-feedback
rm -f %buildroot/%{_bindir}/gst-inspect
rm -f %buildroot/%{_bindir}/gst-launch
rm -f %buildroot/%{_bindir}/gst-md5sum
rm -f %buildroot/%{_bindir}/gst-typefind
rm -f %buildroot/%{_bindir}/gst-xmlinspect
rm -f %buildroot/%{_bindir}/gst-xmllaunch


%find_lang %oname-%majorminor
%if %build_docs
mv %buildroot%_datadir/doc/%oname-%majorminor/ installed-docs
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files tools -f %oname-%majorminor.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS
%dir %{_var}/cache/%{oname}-%{majorminor}
%{_bindir}/gst-feedback-%majorminor
%{_bindir}/gst-inspect-%majorminor
%{_bindir}/gst-launch-%majorminor
%{_bindir}/gst-typefind-%majorminor
%{_bindir}/gst-xmlinspect-%majorminor
%{_bindir}/gst-xmllaunch-%majorminor
%{_mandir}/man1/gst-feedback-%majorminor.1.*
%{_mandir}/man1/gst-inspect-%majorminor.1.*
%{_mandir}/man1/gst-launch-%majorminor.1.*
%{_mandir}/man1/gst-typefind-%majorminor.1.*
%{_mandir}/man1/gst-xmlinspect-%majorminor.1.*
%{_mandir}/man1/gst-xmllaunch-%majorminor.1.*
# gw this must always be in a package named gstreamer-tools
#%files -n gstreamer-tools
#%defattr(-, root, root, -)
#%{_bindir}/gst-feedback
#%{_bindir}/gst-inspect
#%{_bindir}/gst-launch
#%{_bindir}/gst-md5sum
#%{_bindir}/gst-typefind
#%{_bindir}/gst-xmlinspect
#%{_bindir}/gst-xmllaunch


%files -n %libname
%defattr(-, root, root)
%dir %{_libdir}/%{oname}-%{majorminor}
%{_libdir}/libgstbase-%majorminor.so.*
%{_libdir}/libgstcheck-%majorminor.so.*
%{_libdir}/libgstdataprotocol-%majorminor.so.*
%{_libdir}/libgstreamer-%{majorminor}.so.*
%{_libdir}/libgstnet-%{majorminor}.so.*
%{_libdir}/libgstcontroller-%{majorminor}.so.*
%{_libdir}/%{oname}-%{majorminor}/libgstcoreelements.so
%{_libdir}/%{oname}-%{majorminor}/libgstcoreindexers.so

%files -n %libnamedev
%defattr(-, root, root)
%doc ChangeLog TODO
%if %build_docs
%doc installed-docs/*
%endif
%dir %{_includedir}/%{oname}-%{majorminor}
%dir %{_includedir}/%{oname}-%{majorminor}/gst
%{_includedir}/%{oname}-%{majorminor}/gst/*.h
%dir %{_includedir}/%{oname}-%{majorminor}/gst/base/
%{_includedir}/%{oname}-%{majorminor}/gst/base/*.h
%{_includedir}/%{oname}-%{majorminor}/gst/check/
%dir %{_includedir}/%{oname}-%{majorminor}/gst/controller/
%{_includedir}/%{oname}-%{majorminor}/gst/controller/*.h
%dir %{_includedir}/%{oname}-%{majorminor}/gst/dataprotocol/
%{_includedir}/%{oname}-%{majorminor}/gst/dataprotocol/*.h
%{_includedir}/%{oname}-%{majorminor}/gst/net/
%{_libdir}/libgstbase-%majorminor.so
%{_libdir}/libgstcheck-%majorminor.so
%{_libdir}/libgstdataprotocol-%majorminor.so
%{_libdir}/libgstreamer-%{majorminor}.so
%{_libdir}/libgstnet-%{majorminor}.so
%{_libdir}/libgstcontroller-%{majorminor}.so
%{_datadir}/aclocal/gst-element-check-%{majorminor}.m4
%{_libdir}/pkgconfig/gstreamer-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-base-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-check-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-dataprotocol-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-net-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-controller-%{majorminor}.pc
%if 1
## we specify the API docs as regular files since %docs doesn't fail when
#  files aren't found anymore for RPM >= 4
#  we list all of the files we really need to trap incomplete doc builds
#  then we catch the rest with *, you can safely ignore the errors from this
## gstreamer API
%dir %{_datadir}/gtk-doc/html/%{oname}-%{majorminor}
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-%{majorminor}.devhelp
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstBin.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstClock.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstObject.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstPipeline.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstPluginFeature.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-support.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstXML.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/index.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/index.sgml
## gstreamer-libs API
%dir %{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/%{oname}-libs-%{majorminor}.devhelp
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/%{oname}-libs.html
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/index.html
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/index.sgml
## this catches all of the rest of the docs we might have forgotten
%{_datadir}/gtk-doc/html/*
%endif




%changelog
* Fri Aug 03 2007 Götz Waschk <waschk@mandriva.org> 0.10.14-1mdv2008.0
+ Revision: 58626
- new version
- new devel name
- disable docs build

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.10.13-2mdv2008.0
+ Revision: 36171
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version


* Thu Mar 08 2007 Götz Waschk <waschk@mandriva.org> 0.10.12-1mdv2007.1
+ Revision: 138421
- new version
- drop patch 0

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 0.10.11-4mdv2007.1
+ Revision: 115063
- rebuild for new libcheck

* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 0.10.11-3mdv2007.1
+ Revision: 112749
- patch to fix upstream bug 391777 (SIGSEGV handler in mono apps)

* Sun Dec 10 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.10.11-2mdv2007.1
+ Revision: 94444
- patch1: fix lib/gdp test for ppc

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 0.10.11-1mdv2007.1
+ Revision: 91976
- enable checks
- fix buildrequires
- new version
- update file list
- Import gstreamer0.10

* Sat Sep 16 2006 Götz Waschk <waschk@mandriva.org> 0.10.10-1mdv2007.0
- New version 0.10.10

* Mon Jul 17 2006 Götz Waschk <waschk@mandriva.org> 0.10.9-1
- New release 0.10.9

* Mon Jun 12 2006 Götz Waschk <waschk@mandriva.org> 0.10.8-1
- New release 0.10.8

* Sun Jun 11 2006 Götz Waschk <waschk@mandriva.org> 0.10.7-1mdk
- New release 0.10.7

* Mon May 15 2006 Götz Waschk <waschk@mandriva.org> 0.10.6-1mdk
- New release 0.10.6

* Sun Apr 30 2006 Gtz Waschk <waschk@mandriva.org> 0.10.5-1mdk
- update file list
- New release 0.10.5

* Sat Mar 11 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdk
- New release 0.10.4

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 0.10.3-1mdk
- New release 0.10.3

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdk
- New release 0.10.2

* Mon Jan 16 2006 Gtz Waschk <waschk@mandriva.org> 0.10.1-2mdk
- fix buildrequires

* Tue Dec 27 2005 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdk
- New release 0.10.1
- use mkrel

* Tue Dec 06 2005 Gtz Waschk <waschk@mandriva.org> 0.10.0-2mdk
- fix libname

* Tue Dec 06 2005 Gtz Waschk <waschk@mandriva.org> 0.10.0-1mdk
- fix package naming to be parallel installable
- New release 0.10.0
- update file list
- new major

* Thu Sep 15 2005 Frederic Crozat <fcrozat@mandriva.com> 0.8.11-2mdk
- fix prereq

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 0.8.11-1mdk 
- Release 0.8.11

* Mon Aug 01 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.10-2mdk
- Fix provide

* Wed May 04 2005 Gtz Waschk <waschk@mandriva.org> 0.8.10-1mdk
- New release 0.8.10

* Thu Feb 10 2005 Götz Waschk <waschk@linux-mandrake.com> 0.8.9-1mdk
- New release 0.8.9

* Mon Dec 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.8-1mdk
- New release 0.8.8

* Tue Dec 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.7.2-1mdk
- add new file
- drop merged patch 0
- New prerelease 0.8.7.2

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.8.7-3mdk
- Rebuild for new python

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.7-2mdk
- Patch0 (CVS): fix URI escaping

* Tue Nov 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.7-1mdk
- New release 0.8.7

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.5-2mdk
- Call gst-register in lib package scripts since main package no longer exists

* Tue Aug 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.5-1mdk
- New release 0.8.5

* Thu Jul 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- add gst-xmlinspect man page
- drop merged patch
- New release 0.8.4

* Thu Jun 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-3mdk
- reenable docs
- replace patch with solution from CVS

* Sun Jun 20 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.3-2mdk
- add BuildRequires: gettext-devel

* Wed Jun 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-1mdk
- disable docs
- update patch with a different fix
- new version

* Thu Jun 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.3-1mdk
- new prerelease

* Sat May 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.2-2mdk
- reenable docs
- fix crash of all gstreamer apps (d'Oh)

* Thu May 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.2-1mdk
- update file list
- reallow libtoolize
- disable docs build, there was some problem
- drop patch
- fix URL
- New release 0.8.1.2

* Fri May 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-2mdk
- fix doc listing

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- fix file list
- new version

* Wed Apr 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-2mdk
- provide and obsolete gstreamer to fix upgrades

* Wed Apr 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- include unversioned command line tools
- rename package from gstreamer0.7
- new major
- fix post call
- new version

